{
	"parent":"betterend:enter_end",
	"display":{
		"icon":{
			"item":"betterend:tool_assembly_smithing_template"
		},
		"title":{
			"translate":"advancements.betterend.all_the_templates.title"
		},
		"description":{
			"translate":"advancements.betterend.all_the_templates.description"
		},
		"frame":"challenge",
		"show_toast":true,
		"announce_to_chat":true,
		"hidden":false
	},
	"rewards":{
		"experience":500
	},
	"criteria":{
		"got_netherite":{
			"trigger":"minecraft:inventory_changed",
			"conditions":{
				"items":[{
					"items":[
						"betterend:netherite_upgrade_smithing_template"
					]
				}]
			}
		},
		"got_leather":{
			"trigger":"minecraft:inventory_changed",
			"conditions":{
				"items":[{
					"items":[
						"betterend:leather_handle_attachment_smithing_template"
					]
				}]
			}
		},
		"got_plate":{
			"trigger":"minecraft:inventory_changed",
			"conditions":{
				"items":[{
					"items":[
						"betterend:plate_upgrade_smithing_template"
					]
				}]
			}
		},
		"got_aeternium":{
			"trigger":"minecraft:inventory_changed",
			"conditions":{
				"items":[{
					"items":[
						"betterend:aeternium_upgrade_smithing_template"
					]
				}]
			}
		},
		"got_handle":{
			"trigger":"minecraft:inventory_changed",
			"conditions":{
				"items":[{
					"items":[
						"betterend:handle_attachment_smithing_template"
					]
				}]
			}
		},
		"got_tool":{
			"trigger":"minecraft:inventory_changed",
			"conditions":{
				"items":[{
					"items":[
						"betterend:tool_assembly_smithing_template"
					]
				}]
			}
		},
		"got_terminite":{
			"trigger":"minecraft:inventory_changed",
			"conditions":{
				"items":[{
					"items":[
						"betterend:terminite_upgrade_smithing_template"
					]
				}]
			}
		},
		"got_thallasium":{
			"trigger":"minecraft:inventory_changed",
			"conditions":{
				"items":[{
					"items":[
						"betterend:thallasium_upgrade_smithing_template"
					]
				}]
			}
		}
	},
	"requirements":[
		[
			"got_handle"
		],
		[
			"got_tool"
		],
		[
			"got_leather"
		],
		[
			"got_plate"
		],
		[
			"got_terminite"
		],
		[
			"got_aeternium"
		],
		[
			"got_thallasium"
		],
		[
			"got_netherite"
		]
	],
	"sends_telemetry_event":false
}